Groups

WorkDrive allows the users to create groups based on members' roles or profiles in the organization, and easily add the group members to team folders.

Note:
Only Team Admins can create groups in WorkDrive. Multiple groups can be assigned to users and they can access data according to the permissions assigned to each group.

Download Groups OpenAPI Document
Download






Get List of Group Members

Open in ChatGPT Open in ChatGPT to ask questions about this page
Open in Claude Open in Claude to ask questions about this page
Copy as MarkdownCopy this page as markdown to use with AI assistants
View as Markdown Open this page as markdown in a new tab

This API lists all members in a group.

Endpoints

OAuth Scope

WorkDrive.groups.READCopied!

Request Example

cURL
cURL
Deluge
Copied!
curl --request GET \
  --url https://www.zohoapis.com/workdrive/api/v1/groups/{group_id}/groupmembers \
  --header 'Authorization: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52'

Path Parameters

group_idstring(Required)

The unique ID of the group

Response Example

R008

F000

200
200
401
500
Copied!
  {
    "data": [
      {
        "id": "ly9zmae16b43c258f458a9a57ac02c4f8d763-2774428000000002022",
        "type": "groupmembers",
        "attributes": {
          "member_id": 2774428000000002000,
          "email_id": "zylker@zylker.com",
          "added_time": "Apr 13, 12:15 AM",
          "capabilities": {
            "can_read": true,
            "can_delete": true,
            "can_edit": true,
            "can_rename": true,
            "can_add_members": true
          },
          "display_name": "Zylker Creation",
          "modified_time": "Apr 13, 12:15 AM",
          "avatar_url": "https://contacts.zoho.com/file?t=user&ID=747938014&fs=thumb&nps=404",
          "group_id": "ly9zmae16b43c258f458a9a57ac02c4f8d763-2774428000000002021",
          "role_id": 30,
          "added_by": "Zylker Creation",
          "modified_by": "Zylker Creation",
          "member_zuid": "747938014",
          "status": 1
        },
        "links": {
          "self": "https://www.zohoapis.com/workdrive/groupmembers/ly9zmae16b43c258f458a9a57ac02c4f8d763-2774428000000002022"
        }
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "R008",
        "title": "Unauthorized access"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "F000",
        "title": "General exception"
      }
    ]
  }
                
Show full